<?php

namespace ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Models;


use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces\AbstractModel;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 10.09.19
 * Time: 08:43
 * Class Ressource
 */
class Ressource extends AbstractModel
{
    /**
     * Ressource Attributes
     */
    const ATTR_NAME         = 'name';
    const ATTR_STATUS       = 'kerioAccountStatus';
    const ATTR_TYPE         = 'kerioCalResType';
    const ATTR_DISPLAY_NAME = 'displayName';
    const ATTR_DESC         = 'description';
    const ATTR_NOTE         = 'kerioNotes';
    const ATTR_CONT         = 'kerioCalResContactName';
    const ATTR_CONT_EMAIL   = 'kerioCalResContactEmail';
    const ATTR_CONT_PHONE   = 'kerioCalResContactPhone';
    const ATTR_SITE         = 'kerioCalResSite';
    const ATTR_BUILDING     = 'kerioCalResBuilding';
    const ATTR_FLOOR        = 'kerioCalResFloor';
    const ATTR_ROOM         = 'kerioCalResRoom';
    const ATTR_CAPACITY     = 'kerioCalResCapacity';
    const ATTR_STREET       = 'street';
    const ATTR_TOWN         = 'l';
    const ATTR_POSTAL_CODE  = 'postalCode';
    const ATTR_COUNTY       = 'st';
    const ATTR_STATE        = 'co';
    const ATTR_AUTO         = 'kerioCalResAutoAcceptDecline';
    const ATTR_BUSY         = 'kerioCalResAutoDeclineIfBusy';

    protected $id;
    protected $name;
    protected $password;
    protected $attrs;

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param $name
     * @return $this
     */
    public function setName($name)
    {
        $this->name = $name;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getPassword()
    {
        return $this->password;
    }

    /**
     * @param $password
     * @return $this
     */
    public function setPassword($password)
    {
        $this->password = $password;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param $id
     * @return $this
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getAttrs()
    {
        return $this->attrs;
    }

    /**
     * @param $key
     * @param null $value
     * @return $this
     */
    public function setAttr($key, $value = null)
    {
        $this->attrs[$key] = $value;
        return $this;
    }

    /**
     * @param $key
     * @return mixed
     */
    public function getAttr($key)
    {
        return $this->attrs[$key];
    }

    /**
     * @param $attrs
     * @return $this
     */
    public function setAttrs($attrs = [])
    {
        $this->attrs = $attrs;
        return $this;
    }

}